## gdal 3.4.1%2Bdfsg

=== frmts/pcidsk/sdk/Makefile ===

# Comment out to skip use of libjpeg
JPEG_FLAGS = -DHAVE_LIBJPEG
JPEG_LDFLAGS = -ljpeg

OBJ = \
	blockdir/asciitiledir.o \
	blockdir/asciitilelayer.o \
	blockdir/binarytiledir.o \
	blockdir/binarytilelayer.o \
	blockdir/blockdir.o \
	blockdir/blockfile.o \
	blockdir/blocklayer.o \
	blockdir/blocktiledir.o \
	blockdir/blocktilelayer.o \
	channel/cbandinterleavedchannel.o \
	channel/cexternalchannel.o \
	channel/cpcidskchannel.o \
	channel/cpixelinterleavedchannel.o \
	channel/ctiledchannel.o \
	core/clinksegment.o \
	core/cpcidskblockfile.o \
	core/cpcidskfile.o \
	core/edb_pcidsk.o \
	core/libjpeg_io.o \
	core/libkakadu_io.o \
	core/metadataset_p.o \
	core/pcidskbuffer.o \
	core/pcidskcreate.o \
	core/pcidskexception.o \
	core/pcidskinterfaces.o \
	core/pcidskopen.o \
	core/pcidsk_pubutils.o \
	core/pcidsk_raster.o \
	core/pcidsk_scanint.o \
	core/pcidsk_utils.o \
	port/io_stdio.o \
	port/pthread_mutex.o \
	segment/cpcidsk_array.o \
	segment/cpcidskbinarysegment.o \
	segment/cpcidskbitmap.o \
	segment/cpcidskblut.o \
	segment/cpcidskbpct.o \
	segment/cpcidskephemerissegment.o \
	segment/cpcidskgcp2segment.o \
	segment/cpcidskgeoref.o \
	segment/cpcidsklut.o \
	segment/cpcidskpct.o \
	segment/cpcidskpolymodel.o \
	segment/cpcidskrpcmodel.o \
	segment/cpcidsksegment.o \
	segment/cpcidsk_tex.o \
	segment/cpcidsktoutinmodel.o \
	segment/cpcidskvectorsegment_consistencycheck.o \
	segment/cpcidskvectorsegment.o \
	segment/metadatasegment_p.o \
	segment/systiledir.o \
	segment/vecsegdataindex.o \
	segment/vecsegheader.o

CXXFLAGS = -g -O0 -Wall -fPIC -iquote . $(JPEG_FLAGS)

default:	pcidsk.a libpcidsk.so

pcidsk.a: $(OBJ)
	ar r pcidsk.a $(OBJ)

libpcidsk.so: $(OBJ)
	g++ -fPIC $(JPEG_LDFLAGS) -ldl -shared -o libpcidsk.so $(OBJ)

clean:
	rm -f $(OBJ)
	-rm -f *.o
	-rm -f *.a
	-rm -f *.so

core_comp:
	(cd core; $(MAKE))
	(cd channel; $(MAKE))
	(cd segment; $(MAKE))
	(cd blockdir; $(MAKE))
	(cd port; $(MAKE))

check:	default	
	(cd ../tests; $(MAKE) check)

$(OBJ):	pcidsk.h pcidsk_config.h 

%.o:	%.cpp
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c -o $@ $<

docs:
	doxygen

## gdal 3.4.1+dfsg

=== debian/changelog ===
gdal (3.4.1+dfsg-1build4) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:38:21 +0000

gdal (3.4.1+dfsg-1build3) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Feb 2022 08:33:59 +0100

gdal (3.4.1+dfsg-1build2) jammy; urgency=medium

  * No-change rebuild against latest poppler

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 04 Feb 2022 12:40:47 -0500

gdal (3.4.1+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild against latest libwebp

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 21:56:41 -0500

gdal (3.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for 3.4.1~rc1.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Jan 2022 12:38:30 +0100

gdal (3.4.1~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
    (closes: #990403)
  * Refresh patches.
  * Switch to pcre2.
    (closes: #1000119)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Dec 2021 06:00:43 +0100

=== debian/control ===
Source: gdal
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               doxygen,
               graphviz,
               chrpath,
               bash-completion,
               libarmadillo-dev,
               libblosc-dev,
               libcfitsio-dev,
               libcharls-dev,
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libdeflate-dev,
               libdoxygen-filter-perl,
               libexpat1-dev,
               libfreexl-dev (>= 1.0.0),
               libfyba-dev,
               libgeos-dev,
               libgeotiff-dev (>= 1.5.0),
               libgif-dev,
               libhdf4-alt-dev,
               libhdf5-dev (>= 1.8.8),
               libheif-dev,
               libjpeg-dev,
               libjson-c-dev,
               libkml-dev (>= 1.3.0~rc0-3),
               liblz4-dev,
               liblzma-dev,
               libmodern-perl-perl,
       default-libmysqlclient-dev,
               libnetcdf-dev (>= 1:4.0.0),
               libogdi-dev,
               libopenjp2-7-dev,
               libpcre2-dev,
               libpng-dev,
               libpoppler-private-dev,
               libpq-dev,
               libproj-dev (>= 6.0.0),
               libqhull-dev,
               libspatialite-dev,
               libsqlite3-dev,
               libtiff-dev,
               liburiparser-dev,
               libwebp-dev,
               libxerces-c-dev,
               libxml2-dev,
               libzstd-dev,
               lsb-release,
               netcdf-bin,
               patch,
               pkg-config,
               python3-all-dev,
               python3-numpy,
               python3-distutils,
               python3-setuptools,
               swig,
               unixodbc-dev (>= 2.2.11),
               zlib1g-dev
Build-Conflicts: automake1.11
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal
Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git
Homepage: http://www.gdal.org/

Package: libgdal30
Architecture: any
Section: libs
Depends: gdal-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: proj-bin
Description: Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the shared library.

Package: libgdal-dev
Architecture: any
Section: libdevel
Depends: libgdal30 (= ${binary:Version}),
         libc6-dev,
         libarmadillo-dev,
         libblosc-dev,
         libcfitsio-dev,
         libcharls-dev,
         libcurl4-gnutls-dev | libcurl-ssl-dev,
         libdeflate-dev,
         libexpat1-dev,
         libfreexl-dev,
         libfyba-dev,
         libgeos-dev,
         libgeotiff-dev (>= 1.5.0),
         libgif-dev,
         libhdf4-alt-dev,
         libhdf5-dev,
         libheif-dev,
         libjpeg-dev,
         libjson-c-dev,
         libkml-dev,
         libltdl-dev,
         liblz4-dev,
         liblzma-dev,
 default-libmysqlclient-dev,
         libnetcdf-dev,
         libogdi-dev,
         libopenjp2-7-dev,
         libpcre2-dev,
         libpng-dev,
         libpoppler-private-dev,
         libpq-dev,
         libproj-dev (>= 6.0.0),
         libqhull-dev,
         libspatialite-dev,
         libsqlite3-dev,
         libtiff-dev,
         liburiparser-dev,
         libwebp-dev,
         libxerces-c-dev,
         libxml2-dev,
         libzstd-dev,
         unixodbc-dev,
         ${misc:Depends}
Description: Geospatial Data Abstraction Library - Development files
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the files needed to develop a software that
 will use the GDAL/OGR (headers, static objects, configuration script).

Package: gdal-bin
Architecture: any
Depends: python3-gdal (= ${binary:Version}),
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libgdal-grass
Breaks: gdal-bin (<< 1.10.0-0~),
        python-gdal (<< 2.4.3~)
Replaces: python-gdal (<< 2.4.3~)
Description: Geospatial Data Abstraction Library - Utility programs
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains utility programs, based on GDAL/OGR library,
 namely gdal_translate, gdalinfo, gdaladdo, gdalwarp, ogr2ogr, ogrinfo,
 ogrtindex.

Package: gdal-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Geospatial Data Abstraction Library - Data files
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the GDAL data files.

Package: python3-gdal
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: gdal-bin
Description: Python 3 bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Python 3 bindings for the GDAL/OGR library.

Package: libgdal-perl
Architecture: any
Section: perl
Depends: ${perl:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libgdal-perl-doc
Description: Perl bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Perl bindings for the GDAL/OGR library.

Package: libgdal-perl-doc
Architecture: all
Depends: ${misc:Depends}
Breaks: libgdal-perl (<< 2.2.3+dfsg-2~exp1)
Replaces: libgdal-perl (<< 2.2.3+dfsg-2~exp1)
Section: doc
Description: Documentation for the GDAL Perl bindings
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the documentation of the Perl bindings for
 GDAL/OGR library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Original debian package by Alessandro Amici 2002-2003.
# Currently maintained by DebianGis contributors.
# Based on: GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Disable PIE on Ubuntu where it's still problematic
VENDOR_DERIVES_FROM_UBUNTU ?= $(shell dpkg-vendor --derives-from Ubuntu && echo yes)
DISTRIBUTION_RELEASE       := $(shell lsb_release -cs)

ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
  ifneq (,$(filter $(DISTRIBUTION_RELEASE),xenial bionic))
    export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
  endif
endif

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

PYVERS=$(shell py3versions -v -r)
PYDEF=$(shell py3versions -dv)
PERLDEF=$(shell perl -V:version|cut -d\' -f2)
SWIGVER=$(shell swig -version |grep Version|cut -d' ' -f3|sed -e 's/\.//g')

GDALVER=$(shell cat VERSION|sed -e 's/\./ /g')
GDAL_MAJOR=$(word 1,$(GDALVER))
GDAL_MINOR=$(word 2,$(GDALVER))
GDAL_PATCH=$(word 3,$(GDALVER))

ifeq (,$(DEB_HOST_MULTIARCH))
  DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
endif

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  WITH_HDF5:=--with-hdf5=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
else
  WITH_HDF5:=
endif

# See: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=98189
ifneq (,$(filter $(DEB_HOST_ARCH),sh3 sh4))
  export DEB_CXXFLAGS_MAINT_APPEND=-fno-guess-branch-probability
endif

ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
  WITH_SSE=yes
  WITH_SSSE3=yes
  WITH_AVX=yes
else
  WITH_SSE=no
  WITH_SSSE3=no
  WITH_AVX=no
endif

NJOBS := -j1
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
NJOBS := -j$(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

versions:
	@echo Gdal version: $(GDAL_MAJOR).$(GDAL_MINOR).$(GDAL_PATCH)
	@echo Swig version: $(SWIGVER)
	@echo Python default: $(PYDEF)
	@echo Python versions: $(PYVERS)
	@echo Perl default: $(PERLDEF)

#
# The following targets are useful to autogen independent plugins sources
#
gdal-grass: override_dh_auto_configure gdal-grass-dist override_dh_auto_clean override_dh_clean
gdal-grass-dist:
	ln -fs $(CURDIR)/GDALmake.opt-$(PYDEF) $(CURDIR)/GDALmake.opt
	[ -e $(CURDIR)/GDALmake.opt ] && $(MAKE) -C $(CURDIR)/frmts/grass dist
	mv $(CURDIR)/frmts/grass/libgdal-grass-*.tar.gz $(CURDIR)/..
	rm -f $(CURDIR)/GDALmake.opt

gdal-ecw: override_dh_auto_configure gdal-ecw-dist override_dh_auto_clean override_dh_clean
gdal-ecw-dist:
	ln -fs $(CURDIR)/GDALmake.opt-$(PYDEF) $(CURDIR)/GDALmake.opt
	[ -e $(CURDIR)/GDALmake.opt ] && $(MAKE) -C $(CURDIR)/frmts/ecw dist
	mv $(CURDIR)/frmts/ecw/libgdal-ecw-*.tar.gz $(CURDIR)/..
	rm -f $(CURDIR)/GDALmake.opt

gdal-mrsid: override_dh_auto_configure gdal-mrsid-dist override_dh_auto_clean override_dh_clean
gdal-mrsid-dist:
	ln -fs $(CURDIR)/GDALmake.opt-$(PYDEF) $(CURDIR)/GDALmake.opt
	[ -e $(CURDIR)/GDALmake.opt ] && $(MAKE) -C $(CURDIR)/frmts/mrsid dist
	mv $(CURDIR)/frmts/mrsid/libgdal-mrsid-*.tar.gz $(CURDIR)/..
	rm -f $(CURDIR)/GDALmake.opt

%:
	if [ "$@" != "gdal-grass" -a "$@" != "gdal-ecw" -a "$@" != "gdal-mrsid" ]; then \
		dh $@ --with python3 ; \
	fi

override_dh_clean:
	dh_clean config.log \
	         config.status \
	         libtool \
	         port/cpl_config.h

override_dh_auto_clean:
	[ ! -f GDALmake.opt ] || $(MAKE) distclean
	rm -rf $(CURDIR)/swig/perl/*.bs $(CURDIR)/swig/perl/doc
	rm -rf $(CURDIR)/.libs
	rm -f GDALmake.opt-*
	rm -rf $(CURDIR)/debian/tmp $(CURDIR)/debian/python-tmp
	rm -rf $(CURDIR)/doc/br/html $(CURDIR)/doc/ru/html
	rm -rf $(CURDIR)/frmts/o/.libs
	rm -f  $(CURDIR)/islibdappost310.*

override_dh_auto_configure:
	for V in $(PYVERS); do \
		PYTHON=/usr/bin/python$$V ./configure --prefix=/usr \
			--mandir=\$$\{prefix\}/share/man \
			--includedir=\$$\{prefix\}/include/gdal \
			--with-hide-internal-symbols=yes \
			--with-rename-internal-libtiff-symbols=yes \
			--with-rename-internal-libgeotiff-symbols=yes \
			--with-threads \
			--with-sse=$(WITH_SSE) \
			--with-ssse3=$(WITH_SSSE3) \
			--with-avx=$(WITH_AVX) \
			--with-bash-completion=yes \
			--with-armadillo=yes \
			--with-blosc=yes \
			--with-cfitsio=yes \
			--with-charls \
			--with-curl \
			--with-libdeflate \
			--with-ecw=no \
			--with-freexl=yes \
			--with-geos \
			--with-geotiff=yes \
			--with-grass=no \
			$(WITH_HDF5) \
			--with-heif \
			--with-libjson-c=/usr \
			--with-libkml=yes \
			--with-liblzma=yes \
			--with-libtiff=yes \
			--with-lz4=yes \
			--with-mrsid=no \
			--with-mysql \
			--with-netcdf \
			--with-odbc \
			--with-ogdi \
			--with-openjpeg=yes \
			--with-pcre2 \
			--with-pg \
			--with-poppler=yes \
			--with-proj=yes \
			--with-qhull=yes \
			--with-sosi=yes \
			--with-spatialite=/usr \
			--with-sqlite3 \
			--with-webp \
			--with-xerces \
			--with-zstd \
			--with-perl \
			--with-python; \
		mv GDALmake.opt GDALmake.opt-$$V; \
	done

override_dh_auto_build:
	cp `ls GDALmake.opt-*|tail -1` GDALmake.opt
	$(MAKE) $(NJOBS) lib-target apps-target
	rm -rf $(CURDIR)/swig/perl/*.c  $(CURDIR)/swig/perl/*.cpp
	$(MAKE) $(NJOBS) -C $(CURDIR)/swig/perl generate build doc

	# It needs pre-installing just after the building due to intermediate cleaning.
	for V in $(PYVERS); do \
		cp GDALmake.opt-$$V GDALmake.opt && \
		$(MAKE) $(NJOBS) -C $(CURDIR)/swig/python veryclean && \
		$(MAKE) -C $(CURDIR)/swig/python generate && \
		$(MAKE) $(NJOBS) -C $(CURDIR)/swig/python build && \
		$(MAKE) $(NJOBS) -C $(CURDIR)/swig/python install DESTDIR=$(CURDIR)/debian/python-tmp; \
	done

override_dh_auto_install:
	cp `ls GDALmake.opt-*|tail -1` GDALmake.opt
	$(MAKE) $(NJOBS) install BINDINGS="perl" DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) $(NJOBS) install-man DESTDIR=$(CURDIR)/debian/tmp \
		"INST_MAN=\$$(prefix)/share/man"

	# install python stuff previuosly built and pre-installed
	cp -a $(CURDIR)/debian/python-tmp/usr/lib/* $(CURDIR)/debian/tmp/usr/lib/.
	install -o root -g root -d $(CURDIR)/debian/tmp/usr/bin
	install -o root -g root -m 755 $(CURDIR)/swig/python/gdal-utils/scripts/*.py $(CURDIR)/debian/tmp/usr/bin/.

	# removing useless autogenerated man pages
	rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/_*_apps_.1

	# removing license file
	rm -f $(CURDIR)/debian/tmp/usr/share/gdal/LICENSE.TXT

	# removing la file
	rm -f $(CURDIR)/debian/tmp/usr/lib/libgdal.la

	# removing embedded rpath in main lib
	-find $(CURDIR)/debian/tmp/usr/lib -type f -name "*.so*" -exec chrpath --delete {} \;

	# copy sample programs for python3-gdal
	install -o root -g root -d $(CURDIR)/debian/tmp/usr/share/doc/python3-gdal/examples
	install -o root -g root -m 644 $(CURDIR)/swig/python/gdal-utils/osgeo_utils/samples/*.py $(CURDIR)/debian/tmp/usr/share/doc/python3-gdal/examples/.
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/python3-gdal/examples/__init__.py

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_installdocs:
	dh_installdocs -A third_party/LercLib/NOTICE

	# Remove autogenerated Doxygen files
	rm -f $(CURDIR)/debian/*/usr/share/doc/libgdal-perl-doc/*/*.md5

override_dh_python3:
	dh_python3 -X.info -pgdal-bin -ppython3-gdal --shebang=/usr/bin/python3
	dh_numpy3 -pgdal-bin -ppython3-gdal

override_dh_makeshlibs:
	# Forces failure ignoring to collect new symbols on all archs
	dh_makeshlibs -- -v$(UPSTREAM_VERSION) -c0
	# Forces failure when symbols change
	#dh_makeshlibs -- -v$(UPSTREAM_VERSION)

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
dirversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
repacksuffix=+dfsg \
https://download.osgeo.org/gdal/(\d+\.\d+\.\d+\w*)/ \
(?:|.*/)gdal(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## gdal 3.4.2+dfsg

=== debian/changelog ===
gdal (3.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for 3.4.2~rc2.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 14 Mar 2022 12:57:55 +0100

gdal (3.4.2~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for 3.4.2~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Mar 2022 12:23:22 +0100

gdal (3.4.2~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Mar 2022 12:47:33 +0100

## gdal 3.4.3+dfsg

=== debian/changelog ===
gdal (3.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for 3.4.3~rc1.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 May 2022 11:38:11 +0200

gdal (3.4.3~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop Ubuntu PIE changes.
  * Update watch file to match only 3.4.x releases.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Apr 2022 13:28:08 +0200

=== debian/control ===
--- 
+++ 
@@ -50,7 +50,6 @@
                libxerces-c-dev,
                libxml2-dev,
                libzstd-dev,
-               lsb-release,
                netcdf-bin,
                patch,
                pkg-config,

=== debian/rules ===
--- 
+++ 
@@ -10,16 +10,6 @@
 
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-
-# Disable PIE on Ubuntu where it's still problematic
-VENDOR_DERIVES_FROM_UBUNTU ?= $(shell dpkg-vendor --derives-from Ubuntu && echo yes)
-DISTRIBUTION_RELEASE       := $(shell lsb_release -cs)
-
-ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
-  ifneq (,$(filter $(DISTRIBUTION_RELEASE),xenial bionic))
-    export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
-  endif
-endif
 
 include /usr/share/dpkg/pkg-info.mk

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
dirversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
repacksuffix=+dfsg \
https://download.osgeo.org/gdal/(3\.4\.\d+\w*)/ \
(?:|.*/)gdal(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
